OpenTTD AI API: AIEventExclusiveTransportRights Class Reference

OpenTTD AI API 15.0-beta1

Static Public Member Functions
AIEventExclusiveTransportRights Class Reference

Event Exclusive Transport Rights, indicating that company bought exclusive transport rights in a town. More...

`#include <script_event_types.hpp>`

Inheritance diagram for AIEventExclusiveTransportRights:

## Static Public Member Functions
static AIEventExclusiveTransportRights * | Convert (AIEventCompanyTown *instance)
| Convert an AIEvent to the real instance.
Static Public Member Functions inherited from AIEventCompanyTown
static AIEventCompanyTown * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.

## Additional Inherited Members
Public Types inherited from AIEvent
enum | AIEventType { ET_INVALID , ET_TEST , ET_SUBSIDY_OFFER , ET_SUBSIDY_OFFER_EXPIRED , ET_SUBSIDY_AWARDED , ET_SUBSIDY_EXPIRED , ET_ENGINE_PREVIEW , ET_COMPANY_NEW , ET_COMPANY_IN_TROUBLE , ET_COMPANY_ASK_MERGER , ET_COMPANY_MERGER , ET_COMPANY_BANKRUPT , ET_VEHICLE_CRASHED , ET_VEHICLE_LOST , ET_VEHICLE_WAITING_IN_DEPOT , ET_VEHICLE_UNPROFITABLE , ET_INDUSTRY_OPEN , ET_INDUSTRY_CLOSE , ET_ENGINE_AVAILABLE , ET_STATION_FIRST_VEHICLE , ET_DISASTER_ZEPPELINER_CRASHED , ET_DISASTER_ZEPPELINER_CLEARED , ET_TOWN_FOUNDED , ET_AIRCRAFT_DEST_TOO_FAR , ET_ADMIN_PORT , ET_WINDOW_WIDGET_CLICK , ET_GOAL_QUESTION_ANSWER , ET_EXCLUSIVE_TRANSPORT_RIGHTS , ET_ROAD_RECONSTRUCTION , ET_VEHICLE_AUTOREPLACED , ET_STORYPAGE_BUTTON_CLICK , ET_STORYPAGE_TILE_SELECT , ET_STORYPAGE_VEHICLE_SELECT }
| The type of event. More...
Public Member Functions inherited from AIEventCompanyTown
AICompany::CompanyID | GetCompanyID ()
| Get the CompanyID of the company.
TownID | GetTownID ()
| Get the TownID of the town.
Public Member Functions inherited from AIEvent
| AIEvent (AIEvent::AIEventType type)
| Constructor of AIEvent, to get the type of event.
AIEventType | GetEventType ()
| Get the event-type.

## Detailed Description

Event Exclusive Transport Rights, indicating that company bought exclusive transport rights in a town.

## Member Function Documentation

## ◆ Convert()

static AIEventExclusiveTransportRights * AIEventExclusiveTransportRights::Convert | ( | AIEventCompanyTown * | instance | ) |
| inlinestatic

Convert an AIEvent to the real instance.

Parameters

  instance | The instance to convert.

Returns
  The converted instance.